Bug 135378

Summary: [EFL][WK2] MiniBrower comes to crash when combo box is pressed
Product: WebKit Reporter: Gyuyoung Kim <gyuyoung.kim>
Component: WebKit EFLAssignee: Ryuan Choi <ryuan.choi>
Status: RESOLVED FIXED    
Severity: Normal CC: bunhere, cdumez, commit-queue, jinwoo7.song, lucas.de.marchi, ryuan.choi, sergio
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
test case
none
simple solution
none
Patch none

Description Gyuyoung Kim 2014-07-29 02:25:35 PDT
SSIA.
Comment 1 Jinwoo Song 2014-07-30 05:20:43 PDT
Attaching a call stack.

Program received signal SIGSEGV, Segmentation fault.
0x00007ffff75d8f27 in WebKit::WebPopupMenuListenerEfl::valueChanged (this=0x100000001, newSelectedIndex=74565264)
    at /home/jinwoo/opensource/WebKit/Source/WebKit2/UIProcess/efl/WebPopupMenuListenerEfl.cpp:38
38	    if (!m_client)
(gdb) bt 
#0  0x00007ffff75d8f27 in WebKit::WebPopupMenuListenerEfl::valueChanged (this=0x100000001, newSelectedIndex=74565264)
    at /home/jinwoo/opensource/WebKit/Source/WebKit2/UIProcess/efl/WebPopupMenuListenerEfl.cpp:38
#1  0x00007ffff756d386 in WKPopupMenuListenerSetSelection (listenerRef=0x100000001, selectedIndex=74565264) at /home/jinwoo/opensource/WebKit/Source/WebKit2/UIProcess/API/C/efl/WKPopupMenuListener.cpp:36
#2  0x00007ffff7598a68 in EwkPopupMenu::close (this=0x4741c10) at /home/jinwoo/opensource/WebKit/Source/WebKit2/UIProcess/API/efl/ewk_popup_menu.cpp:60
#3  0x00007ffff7598b90 in ewk_popup_menu_close (popupMenu=0x4741c10) at /home/jinwoo/opensource/WebKit/Source/WebKit2/UIProcess/API/efl/ewk_popup_menu.cpp:94
#4  0x0000000000408c13 in on_popup_menu_discarded (user_data=0x6a8b10, obj=0x8000009c800004e5, event_info=0x0) at /home/jinwoo/opensource/WebKit/Tools/MiniBrowser/efl/main.c:1258
#5  0x00007ffff535d226 in _eo_evas_smart_cb (data=<optimized out>, eo_obj=<optimized out>, desc=<optimized out>, event_info=<optimized out>) at lib/evas/canvas/evas_object_smart.c:69
#6  0x00007fffe8fb9b48 in _ev_cb_call (obj_id=0x8000009c800004e5, class_data=0x4774b90, list=<optimized out>) at lib/eo/eo_base_class.c:690
#7  0x00007fffe8fb4743 in _eo_op_internal (p_list=0x7fffffffd4b8, op=16, op_type=EO_OP_TYPE_REGULAR, cur_klass=0x695000, eo_ptr=0x4774b50, line=927, 
    file=0x7ffff542f2e0 "lib/evas/canvas/evas_object_smart.c") at lib/eo/eo.c:306
#8  _eo_dov_internal (p_list=0x7fffffffd4b8, op_type=EO_OP_TYPE_REGULAR, klass=0x695000, obj=0x4774b50, line=927, file=0x7ffff542f2e0 "lib/evas/canvas/evas_object_smart.c") at lib/eo/eo.c:338
#9  _eo_obj_dov_internal (p_list=0x7fffffffd4b8, obj=0x4774b50, line=927, file=0x7ffff542f2e0 "lib/evas/canvas/evas_object_smart.c") at lib/eo/eo.c:359
#10 eo_do_internal (file=file@entry=0x7ffff542f2e0 "lib/evas/canvas/evas_object_smart.c", line=line@entry=927, obj_id=obj_id@entry=0x8000009c800004e5) at lib/eo/eo.c:396
#11 0x00007ffff535e8c2 in evas_object_smart_callback_call (eo_obj=eo_obj@entry=0x8000009c800004e5, event=event@entry=0x7ffff5877552 <SIG_CLICKED> "clicked", event_info=event_info@entry=0x0)
    at lib/evas/canvas/evas_object_smart.c:927
#12 0x00007ffff57e032a in _hover_dismissed_cb (data=0x8000009c800004e5, obj=<optimized out>, event_info=<optimized out>) at elm_menu.c:407
#13 0x00007ffff535d226 in _eo_evas_smart_cb (data=<optimized out>, eo_obj=<optimized out>, desc=<optimized out>, event_info=<optimized out>) at lib/evas/canvas/evas_object_smart.c:69
#14 0x00007fffe8fb9b48 in _ev_cb_call (obj_id=0x8000009d000004e9, class_data=0x472e3a0, list=<optimized out>) at lib/eo/eo_base_class.c:690
#15 0x00007fffe8fb4743 in _eo_op_internal (p_list=0x7fffffffd6c8, op=16, op_type=EO_OP_TYPE_REGULAR, cur_klass=0x47c0f40, eo_ptr=0x472e360, line=927, 
    file=0x7ffff542f2e0 "lib/evas/canvas/evas_object_smart.c") at lib/eo/eo.c:306
#16 _eo_dov_internal (p_list=0x7fffffffd6c8, op_type=EO_OP_TYPE_REGULAR, klass=0x47c0f40, obj=0x472e360, line=927, file=0x7ffff542f2e0 "lib/evas/canvas/evas_object_smart.c") at lib/eo/eo.c:338
#17 _eo_obj_dov_internal (p_list=0x7fffffffd6c8, obj=0x472e360, line=927, file=0x7ffff542f2e0 "lib/evas/canvas/evas_object_smart.c") at lib/eo/eo.c:359
#18 eo_do_internal (file=file@entry=0x7ffff542f2e0 "lib/evas/canvas/evas_object_smart.c", line=line@entry=927, obj_id=obj_id@entry=0x8000009d000004e9) at lib/eo/eo.c:396
#19 0x00007ffff535e8c2 in evas_object_smart_callback_call (eo_obj=0x8000009d000004e9, event=<optimized out>, event_info=0x0) at lib/evas/canvas/evas_object_smart.c:927
#20 0x00007fffeb999f70 in edje_match_callback_exec_check_finals (signal_states=<optimized out>, signal_states=<optimized out>, source_states=<optimized out>, source_states=<optimized out>, 
    prop=<optimized out>, ed=0xaaaaaaaaaaaaaaab, source=0x16ee940 "elm", sig=0x46c6b1c "elm,action,dismiss", matches=<optimized out>, ssp=0x4718dc0) at lib/edje/edje_match.c:556
#21 edje_match_callback_exec (ssp=ssp@entry=0x4718dc0, matches=<optimized out>, sig=sig@entry=0x46c6b1c "elm,action,dismiss", source=source@entry=0x16ee940 "elm", ed=ed@entry=0x17d6070, 
    prop=prop@entry=0 '\000') at lib/edje/edje_match.c:712
#22 0x00007fffeb99fd94 in _edje_emit_cb (prop=0 '\000', data=0x0, src=0x16ee940 "elm", sig=0x46c6b1c "elm,action,dismiss", ed=0x17d6070) at lib/edje/edje_program.c:1428
#23 _edje_emit_handle (ed=0x17d6070, sig=0x46c6b1c "elm,action,dismiss", src=0x16ee940 "elm", sdata=0x0, prop=0 '\000') at lib/edje/edje_program.c:1381
#24 0x00007fffeb99b58f in _edje_message_queue_process () at lib/edje/edje_message_queue.c:789
#25 0x00007fffeb99b737 in _edje_job (data=<optimized out>) at lib/edje/edje_message_queue.c:185
#26 0x00007ffff63b2ddb in _ecore_job_event_handler (data=<optimized out>, type=<optimized out>, ev=<optimized out>) at lib/ecore/ecore_job.c:153
#27 0x00007ffff63ada97 in _ecore_call_handler_cb (event=<optimized out>, type=<optimized out>, data=<optimized out>, func=<optimized out>) at lib/ecore/ecore_private.h:359
#28 _ecore_event_call () at lib/ecore/ecore_events.c:562
#29 0x00007ffff63b4955 in _ecore_main_loop_iterate_internal (once_only=once_only@entry=0) at lib/ecore/ecore_main.c:2039
#30 0x00007ffff63b4c67 in ecore_main_loop_begin () at lib/ecore/ecore_main.c:1042
#31 0x000000000040b958 in elm_main (argc=2, argv=0x7fffffffdbf8) at /home/jinwoo/opensource/WebKit/Tools/MiniBrowser/efl/main.c:2125
#32 0x000000000040b9b7 in main (argc=2, argv=0x7fffffffdbf8) at /home/jinwoo/opensource/WebKit/Tools/MiniBrowser/efl/main.c:2129
Comment 2 Jinwoo Song 2014-07-30 05:22:35 PDT
Created attachment 235742 [details]
test case
Comment 3 Ryuan Choi 2014-07-30 22:25:09 PDT
Created attachment 235806 [details]
simple solution
Comment 4 Ryuan Choi 2014-07-31 02:18:31 PDT
Created attachment 235810 [details]
Patch
Comment 5 Gyuyoung Kim 2014-07-31 18:45:43 PDT
Comment on attachment 235810 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=235810&action=review

> Source/WebKit2/UIProcess/API/efl/ewk_view.h:123
> +     * Application should implement this to support select tag.

this -> this method ?
Comment 6 Ryuan Choi 2014-07-31 19:21:34 PDT
Committed r171906: <http://trac.webkit.org/changeset/171906>
Comment 7 Ryuan Choi 2014-07-31 19:27:59 PDT
Comment on attachment 235810 [details]
Patch

clearing flags.
Landed after followed gyuyoung's comment